## ayatana-greeter-badges 0.3

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.13)
project (ayatana-greeter-badges VERSION 0.3 LANGUAGES NONE)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
    SET(CMAKE_INSTALL_PREFIX "/usr" CACHE PATH "..." FORCE)
endif(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)

include(GNUInstallDirs)

add_subdirectory(data)

=== data/CMakeLists.txt ===
add_subdirectory(badges)

=== data/badges/CMakeLists.txt ===
# badge files

file(GLOB_RECURSE BADGE_FILES FOLLOW_SYMLINKS *.svg *.png)

install(FILES ${BADGE_FILES}
        DESTINATION "${CMAKE_INSTALL_FULL_DATADIR}/ayatana-greeter/badges")

=== debian/changelog ===
ayatana-greeter-badges (0.3-2) unstable; urgency=medium

  * debian/control:
    + Add Multi-Arch: foreign declaration. Thanks, Multi-Arch Hinter.
    + Bump Standards-Version: to 4.7.2. No changes needed.

 -- Mike Gabriel <sunweaver@debian.org>  Sat, 06 Sep 2025 10:51:30 +0200

ayatana-greeter-badges (0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 28 Jan 2025 04:03:19 +0100

ayatana-greeter-badges (0.1-1) unstable; urgency=medium

  * Initial upload to Debian. (Closes: #1093759).

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 22 Jan 2025 13:55:05 +0100

=== debian/control ===
Source: ayatana-greeter-badges
Section: x11
Priority: optional
Maintainer: Ayatana Packagers <pkg-ayatana-devel@lists.alioth.debian.org>
Uploaders:
 Mike Gabriel <sunweaver@debian.org>,
Standards-Version: 4.7.2
Build-Depends: cmake,
               debhelper-compat (= 13),
Homepage: https://github.com/AyatanaIndicators/ayatana-greeter-badges
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/debian-ayatana-team/ayatana-greeter-badges.git
Vcs-Browser: https://salsa.debian.org/debian-ayatana-team/ayatana-greeter-badges/

Package: ayatana-greeter-badges
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: Session badges for LightDM-based greeters
 Arctica Greeter, Lomiri Greeter and Slick Greeter use very similar
 session badge icons for visualizing the desktop sessions available for
 user login.
 .
 This package provides a manifold of such badges, supplementing badges
 shipped in the aforementioned greeter projects.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_missing:
	dh_missing --fail-missing

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://releases.ayatana-indicators.org/source/ayatana-greeter-badges/ayatana-greeter-badges-(.+)\.tar\.gz
